EndRetrieveEvent
Date: 2013-01-10

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ivy.core.event.retrieve
Class EndRetrieveEvent

    java.lang.Object
      org.apache.ivy.core.event.IvyEvent
          org.apache.ivy.core.event.retrieve.RetrieveEvent
              org.apache.ivy.core.event.retrieve.EndRetrieveEvent

    public class EndRetrieveEvent

extends RetrieveEvent

Field Summary
`static java.lang.String` | `NAME`

Constructor Summary
`EndRetrieveEvent(ModuleRevisionId mrid, java.lang.String[] confs, long elapsedTime, int targetsCopied, int targetsUpToDate, long totalCopiedSize, RetrieveOptions options)`

Method Summary
`long` | `getDuration()` Duration of the retrieve operation, in ms.
`int` | `getNbCopied()` Number of artifacts which were copied (or symlinked) during the retrieve
`int` | `getNbUpToDate()` Number of artifacts which were not copied since they were already present and up to date.
`long` | `getTotalCopiedSize()` Total size of all copied (or symlinked) artifacts, in bytes.

Methods inherited from class org.apache.ivy.core.event.retrieve.RetrieveEvent
`getModuleRevisionId, getOptions`

Methods inherited from class org.apache.ivy.core.event.IvyEvent
`addAttribute, addAttributes, addConfsAttribute, addMDAttributes, addModuleIdAttributes, addMridAttributes, equals, getAttributes, getName, getSource, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NAME

    public static final java.lang.String NAME

See Also:
  Constant Field Values

Constructor Detail

### EndRetrieveEvent

    public EndRetrieveEvent(ModuleRevisionId mrid,
                            java.lang.String[] confs,
                            long elapsedTime,
                            int targetsCopied,
                            int targetsUpToDate,
                            long totalCopiedSize,
                            RetrieveOptions options)

Method Detail

### getDuration

    public long getDuration()

  Duration of the retrieve operation, in ms.

  Returns:
    Duration of the retrieve operation, in ms.

### getNbCopied

    public int getNbCopied()

  Number of artifacts which were copied (or symlinked) during the retrieve

  Returns:
    Number of artifacts which were copied during the retrieve.

### getNbUpToDate

    public int getNbUpToDate()

  Number of artifacts which were not copied since they were already present and up to date.

  Returns:
    Number of artifacts which were not copied since they were already present and up to date.

### getTotalCopiedSize

    public long getTotalCopiedSize()

  Total size of all copied (or symlinked) artifacts, in bytes.

  Returns:
    Total size of all copied (or symlinked) artifacts, in bytes.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD